RagTime5ChartInternal::ChartCParser::ZoneType Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
RagTime5ChartInternal::ChartCParser::ZoneType Struct Reference

a small structure used to stored a field type More...

## Public Types
enum | Type { ParentLink, Prefs, Pref, Series, Series2, Serie, SerieTypes, Settings, Setting, Values, Values2, Value, DZone1, DZones3, DZone3, DZone5, DZone8, DZone9, DZones10, DZone10, DZoneF12, DZoneF70, DZoneF226, UnknZone1, UnknZone2, Unknown }
| the different field types More...

## Public Member Functions
| ZoneType ()
| constructor More...
std::string | getName () const
| return the zone type name More...

## Public Attributes
Type | m_type
| the field type More...
int | m_id
| the field local id More...

## Detailed Description

a small structure used to stored a field type

## Member Enumeration Documentation

enum RagTime5ChartInternal::ChartCParser::ZoneType::Type

the different field types

Enumerator
ParentLink |
Prefs |
Pref |
Series |
Series2 |
Serie |
SerieTypes |
Settings |
Setting |
Values |
Values2 |
Value |
DZone1 |
DZones3 |
DZone3 |
DZone5 |
DZone8 |
DZone9 |
DZones10 |
DZone10 |
DZoneF12 |
DZoneF70 |
DZoneF226 |
UnknZone1 |
UnknZone2 |
Unknown |

## Constructor & Destructor Documentation

RagTime5ChartInternal::ChartCParser::ZoneType::ZoneType | ( |  | ) |
| inline

constructor

## Member Function Documentation

std::string RagTime5ChartInternal::ChartCParser::ZoneType::getName | ( |  | ) | const
| inline

return the zone type name

Referenced by RagTime5ChartInternal::ChartCParser::parseHeaderZone().

## Member Data Documentation

int RagTime5ChartInternal::ChartCParser::ZoneType::m_id

the field local id

Referenced by RagTime5ChartInternal::ChartCParser::parseDataZone(), and RagTime5ChartInternal::ChartCParser::parseField().

Type RagTime5ChartInternal::ChartCParser::ZoneType::m_type

the field type

Referenced by RagTime5ChartInternal::ChartCParser::insertZoneToBeParsed(), RagTime5ChartInternal::ChartCParser::parseDataZone(), RagTime5ChartInternal::ChartCParser::parseField(), and RagTime5ChartInternal::ChartCParser::parseHeaderZone().

The documentation for this struct was generated from the following file:

- RagTime5Chart.cxx